Bug 511841 - Review Request: wordpress-plugin-bad-behavior - Spam prevention plugin for WordPress
Review Request: wordpress-plugin-bad-behavior - Spam prevention plugin for Wo...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-07-15 07:15 EDT by Michael Hampton
Modified: 2010-01-07 20:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-09 19:05:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Hampton 2009-07-15 07:15:43 EDT
Spec URL: http://www.bad-behavior.ioerror.us/wordpress/wp-content/uploads/2009/07/wordpress-plugin-bad-behavior.spec
SRPM URL: http://www.bad-behavior.ioerror.us/wordpress/wp-content/uploads/2009/07/wordpress-plugin-bad-behavior-2.0.28-1.fc11.src.rpm

Description:
This is my first package, so I need a sponsor. Thanks! I should also note that I am the author of the software being packaged.

Bad Behavior is a PHP-based solution for blocking link spam and the robots which deliver it.

Bad Behavior complements other link spam solutions by acting as a gatekeeper, preventing spammers from ever delivering their junk, and in many cases, from ever reading your site in the first place. This keeps your site's load down, makes your site logs cleaner, and can help prevent denial of service conditions caused by spammers.

Bad Behavior also transcends other link spam solutions by working in a completely different, unique way. Instead of merely looking at the content of potential spam, Bad Behavior analyzes the delivery method as well as the software the spammer is using. In this way, Bad Behavior can stop spam attacks even when nobody has ever seen the particular spam before.
Comment 1 Nick Bebout 2009-10-06 12:18:25 EDT
rpmlint is not clean.

[nb@nb noarch]$ rpmlint wordpress*
wordpress-mu-plugin-bad-behavior.noarch: E: zero-length /usr/share/wordpress-mu/wp-content/plugins/bad-behavior/index.html
wordpress-mu-plugin-bad-behavior.noarch: E: zero-length /usr/share/wordpress-mu/wp-content/plugins/bad-behavior/bad-behavior/index.html
wordpress-plugin-bad-behavior.noarch: W: incoherent-version-in-changelog 2.0.28 ['2.0.28-1.fc11', '2.0.28-1']
wordpress-plugin-bad-behavior.noarch: E: zero-length /usr/share/wordpress/wp-content/plugins/bad-behavior/index.html
wordpress-plugin-bad-behavior.noarch: E: zero-length /usr/share/wordpress/wp-content/plugins/bad-behavior/bad-behavior/index.html
2 packages and 0 specfiles checked; 4 errors, 1 warnings.

Please add -1 to the version in the changelog to fix the incoherent-version warning.

I'm not sure what the zero-length files are?
Comment 2 Nick Bebout 2009-11-01 00:38:15 EDT
Please see comment #1
Comment 3 Nick Bebout 2009-11-09 19:06:02 EST
I'm resolving this as CLOSED NOTABUG per the Policy for stalled package reviews.  I will fix the issues and submit a new review.  I'd like to get this into Fedora as we use it for Fedora Blogs.

Note You need to log in before you can comment on or make changes to this bug.